Subject: Re: linux-next: add utrace tree

From: Oleg Nesterov <[email-masked]>
Date: Fri, 22 Jan 2010 20:39:23 +0100

On 01/22, [email-masked] wrote:
>
> No, that only proves it's compatible enough for gdb to not care. The problem
> is all those *other* packages that abuse ptrace in totally crackhead ways.
>
> (No, I can't name them - but ptrace is the sort of interface that almost
> encourages its use for things somewhere between crackhead and mad-scientist,
> so they're almost certainly out there.. WAY out there.. :)

Yes, this is true.

We are trying to test it as much as possible.

Oleg.